org.eclipse.emf.cdo.common.util

## Interface CDOVersionProvider

- All Known Subinterfaces:
    CDOBranchVersion, CDORevisable, CDORevision, CDORevisionCache.EvictionEvent, CDORevisionDelta, CDORevisionKey, InternalCDORevision, InternalCDORevisionDelta
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, DelegatingCDORevision, DetachedCDORevision, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDOVersionProvider

  Provides the consumer with an int-valued version.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getVersion()`

- - ### Method Detail

    - #### getVersion

          int getVersion()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html